Bug 443159 - NFS V4 mount does work with Fedora 8 server, Solaris 10 client
NFS V4 mount does work with Fedora 8 server, Solaris 10 client
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 17:26 EDT by Bruce Orchard
Modified: 2008-06-27 11:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-27 11:07:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bruce Orchard 2008-04-18 17:26:45 EDT
Description of problem:
With an NFS server on a computer running Fedora 8, an NFS client on a computer
running Solaris 10 cannot mount file systems.


Version-Release number of selected component (if applicable):
NFS Server:  kernel 2.6.23.1-42.fc8, nfs-utils nfs-utils-1.1.0-6.fc8
NFS Client:  SunOS 5.10, Generic_120011-14

How reproducible:
Every time

Steps to Reproduce:
1.  Type in the Solaris mount command:
mount -F nfs 3439-3:/cadence_distribution /mnt 

  
Actual results:
Error message:  nfs mount: mount: /mnt: Not owner


Expected results:
A successful mount

Additional info:
It works OK if NFS_CLIENT_VERSMAX is set to 3 in /etc/default/nfs on the Solaris
computer.

The linux computer claims to be running an NFS V4 server:

[eceserv1] 68% rpcinfo -p hex | grep nfs
    100003    2   udp   2049  nfs
    100003    3   udp   2049  nfs
    100003    4   udp   2049  nfs
    100003    2   tcp   2049  nfs
    100003    3   tcp   2049  nfs
    100003    4   tcp   2049  nfs
Comment 1 Steve Dickson 2008-04-21 09:38:32 EDT
what does your exports on the server look like:

Note, for v4 mounts to just work, you'll need to
export a pseudo root, something like '/ *(fsid=0)'
Comment 2 Jay Harris 2008-05-08 17:15:49 EDT
This is not limited to Fedora 8 as we are seeing the same issue with RHEL4 NFS
servers and solaris 10 clients. Solaris 9 clients work fine with RHEL4 servers.
Adding NFS_CLIENT_VERSMAX=3 to /etc/sysconfig/nfs did not help. I will try the
psuedo root suggestion in comment #1 tomorrow.
Comment 3 Steve Dickson 2008-05-24 08:51:27 EDT
Still seeing this problem?
Comment 4 Bruce Orchard 2008-05-27 17:32:39 EDT
We continue to run with Solaris forcing NFS V3.

Note You need to log in before you can comment on or make changes to this bug.